-- +migrate Up
CREATE TABLE  IF NOT EXISTS application_vulnerability (
  id BIGSERIAL PRIMARY KEY,
  application_id BIGINT,
  workflow_id BIGINT,
  workflow_run_id BIGINT,
  workflow_node_run_id BIGINT,
  workflow_number BIGINT,
  title VARCHAR(100),
  description TEXT,
  cve VARCHAR(100),
  link TEXT,
  component VARCHAR(200),
  version VARCHAR(50),
  origin TEXT,
  severity VARCHAR(25),
  fix_in VARCHAR(100),
  ignored BOOL
);
SELECT create_foreign_key_idx_cascade('FK_APPLICATION_VULN_APPLICATION', 'application_vulnerability', 'application', 'application_id', 'id');
SELECT create_foreign_key_idx_cascade('FK_APPLICATION_VULN_RUN', 'application_vulnerability', 'workflow_run', 'workflow_run_id', 'id');


-- +migrate Down
DROP TABLE application_vulnerability;
